Obter direitos de faturamento
curl --request GET \
--url https://api.truthlocks.com/v1/billing/entitlements \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/billing/entitlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/entitlements"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/entitlements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"plan": "<string>",
"entitlements": {}
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Faturamento
Obter direitos
Retorna o plano atual, sinalizadores de recursos e cotas de uso para o locatário autenticado.
GET
/
v1
/
billing
/
entitlements
Obter direitos de faturamento
curl --request GET \
--url https://api.truthlocks.com/v1/billing/entitlements \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/billing/entitlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/entitlements"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/entitlements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"plan": "<string>",
"entitlements": {}
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}GET /v1/billing/entitlements
Resposta
Sinalizadores de recursos desbloqueados pelo seu plano e complementos. Cada chave é um nome de recurso e o valor indica se ele está ativado.
Limites numéricos para recursos faturáveis. Cada chave é um nome de métrica e o valor é o limite.
Para verificar seus complementos ativos, consulte visão geral de faturamento. Os direitos de complementos são mesclados nos objetos
features e quotas automaticamente.
